# graph_1.py

def makeGraph (Node) :
    nodeList = [
      Node("S", (150, 50)),
      Node("A", ( 50,150)),
      Node("B", (200,200)),
      Node("C", (150,230)),
      Node("D", ( 50,250))]
    
    nodeDict = {}
    for node in nodeList : 
        nodeDict[node.name] = node

    edges = [
      ("S","A",46),
      ("S","B",55),
      ("A","C",20),
      ("A","D",20),
      ("B","C",10)]

    for nam1,nam2,incDist in edges :
        nod1 = nodeDict[nam1]
        nod2 = nodeDict[nam2]
        nod1.nbrs.append( (nod2,incDist) )
        nod2.nbrs.append( (nod1,incDist) )

    return nodeList, nodeDict
