# graph_2.py

def makeGraph(Node) : # seed=456
    nodeList = [
      Node('S', (90, 168)),
      Node('A', (119, 68)),
      Node('B', (185, 321)),
      Node('C', (266, 254)),
      Node('D', (304, 387)),
      Node('E', (356, 144))]

    nodeDict = {}
    for node in nodeList :
       nodeDict[node.name] = node

    edges = [
      ('S','A',104),
      ('S','B',180),
      ('A','C',237),
      ('A','E',248),
      ('B','C',105),
      ('B','D',136),
      ('C','D',138),
      ('C','E',142),
      ('D','E',248)]

    for nam1,nam2,incDist in edges :
        nod1 = nodeDict[nam1]
        nod2 = nodeDict[nam2]
        nod1.nbrs.append( (nod2,incDist) )
        nod2.nbrs.append( (nod1,incDist) )
    return nodeList, nodeDict
